# Enum TOperationType

java.lang.Object
java.lang.Enum<TOperationType>
com.databricks.jdbc.model.client.thrift.generated.TOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<TOperationType>`, `java.lang.constant.Constable`, `org.apache.thrift.TEnum`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public enum TOperationType extends Enum<TOperationType> implements org.apache.thrift.TEnum

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXECUTE_STATEMENT`
`GET_CATALOGS`
`GET_COLUMNS`
`GET_FUNCTIONS`
`GET_SCHEMAS`
`GET_TABLE_TYPES`
`GET_TABLES`
`GET_TYPE_INFO`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static TOperationType`
`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`int`
`getValue()`
Get the integer value of this enum value, as defined in the Thrift IDL.
`static TOperationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TOperationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXECUTE_STATEMENT

public static final TOperationType EXECUTE_STATEMENT

### GET_TYPE_INFO

public static final TOperationType GET_TYPE_INFO

### GET_CATALOGS

public static final TOperationType GET_CATALOGS

### GET_SCHEMAS

public static final TOperationType GET_SCHEMAS

### GET_TABLES

public static final TOperationType GET_TABLES

### GET_TABLE_TYPES

public static final TOperationType GET_TABLE_TYPES

### GET_COLUMNS

public static final TOperationType GET_COLUMNS

### GET_FUNCTIONS

public static final TOperationType GET_FUNCTIONS

### UNKNOWN

public static final TOperationType UNKNOWN

## Method Details

### values

public static TOperationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TOperationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

### findByValue

public static TOperationType findByValue(int value)
Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.